Distribution:   CCux Linux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Name:		libavc1394
Version:	0.5.3
Release:	1
Provides:	%{name}
License:	GNU/GPL 
URL:		http://sourceforge.net/projects/libavc1394/
Group:		System/Hardware
Source0:	%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot
Summary:	libavc1394 is a programming interface to the 1394 AV/C specification.
Requires:	libraw1394 >= 1.0.0	
BuildRequires:	libraw1394-devel >= 1.0.0
BuildRequires:	glibc-devel


%description
libavc1394 is a programming interface to the AV/C specification from
the 1394 Trade Association. AV/C stands for Audio/Video Control.
Currently, applications use the library to control the tape transport
mechanism on DV camcorders. However, there are many devices and
functions of devices that can be controlled via AV/C. Eventually, the
library will be expanded to implement more of the specification and to
provide high level interfaces to various devices.
For more details see: http://sourceforge.net/projects/libavc1394/

%package devel
Summary: 	%{name} development headers.
Group: 		%{group}            
Requires: 	%{name} = %{version}-%{release}

%description devel
Header and include files for developing applications with %{name}.

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}

%build
./configure --prefix=%_prefix \
--mandir=%_mandir \
--disable-dependency-tracking
make

%install
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';' 

%files
%defattr(-,root,root)
%_bindir
%_libdir/*.so.*
%_mandir

%files devel
%defattr(-,root,root)
%_includedir
%_libdir/*.so
%_libdir/*.a
%_libdir/*.la
%_pkgconfig

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Wed Sep 13 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.5.3-1
- version update
* Tue Nov 29 2005 Christian Wasem <wasem@ccux-linux.de> 0.5.1-1
- Update to Version 0.5.1, removed wrong Obsoletes-Tag
- moved more files to devel
* Mon Mar 14 2005 Christian Wasem <wasem@ccux-linux.de> 0.5.0-1
- Initial Release
